---
dependency:
  name: galaxy
lint: |
  set -e
  yamllint .
  ANSIBLE_ROLES_PATH=${MOLECULE_EPHEMERAL_DIRECTORY}/roles ansible-lint
  flake8
provisioner:
  name: ansible
  config_options:
    defaults:
      gather_timeout: 20
  inventory:
    host_vars:
      tango_server-centos7:
        tango_host: tango_server-tango-cs-centos7:10000
      tango_server-rocky8:
        tango_host: tango_server-tango-cs-rocky8:10000
verifier:
  name: ansible
driver:
  name: docker
platforms:
  - name: tango_server-centos7
    image: harbor.maxiv.lu.se/kits-sw/centos-molecule:7
    pre_build_image: true
    # Could not make pidofproc work without privileged
    # Used by tango-starter service
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /run
    command: /sbin/init
    networks:
      - name: tango_server-centos7
    groups:
      - molecule_group
  - name: tango_server-tango-mysql-centos7
    image: harbor.maxiv.lu.se/registry.gitlab.com/tango-controls/docker/mysql:5
    pre_build_image: true
    override_command: false
    env:
      MYSQL_ROOT_PASSWORD: root
    networks:
      - name: tango_server-centos7
  - name: tango_server-tango-cs-centos7
    image: harbor.maxiv.lu.se/registry.gitlab.com/tango-controls/docker/tango-db
    pre_build_image: true
    override_command: false
    env:
      TANGO_HOST: localhost:10000
      MYSQL_HOST: tango_server-tango-mysql-centos7:3306
      MYSQL_USER: tango
      MYSQL_PASSWORD: tango
      MYSQL_DATABASE: tango
    networks:
      - name: tango_server-centos7
  - name: tango_server-rocky8
    image: harbor.maxiv.lu.se/kits-sw/rockylinux-molecule:8
    pre_build_image: true
    # Could not make pidofproc work without privileged
    # Used by tango-starter service
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /run
    command: /sbin/init
    networks:
      - name: tango_server-rocky8
    groups:
      - molecule_group
  - name: tango_server-tango-mysql-rocky8
    image: harbor.maxiv.lu.se/registry.gitlab.com/tango-controls/docker/mysql:5
    pre_build_image: true
    override_command: false
    env:
      MYSQL_ROOT_PASSWORD: root
    networks:
      - name: tango_server-rocky8
  - name: tango_server-tango-cs-rocky8
    image: harbor.maxiv.lu.se/registry.gitlab.com/tango-controls/docker/tango-db
    pre_build_image: true
    override_command: false
    env:
      TANGO_HOST: localhost:10000
      MYSQL_HOST: tango_server-tango-mysql-rocky8:3306
      MYSQL_USER: tango
      MYSQL_PASSWORD: tango
      MYSQL_DATABASE: tango
    networks:
      - name: tango_server-rocky8
